### Documentation available at https://wodby.com/docs/stacks/drupal/local
### Changelog can be found at https://github.com/wodby/docker4drupal/releases
### Images tags format explained at https://github.com/wodby/docker4drupal#images-tags

### PROJECT SETTINGS

PROJECT_NAME=garden
PROJECT_BASE_URL=garden.local

DB_NAME=garden
DB_USER=postgres
DB_ROOT_USER=root
DB_PASSWORD=EC284aJd7xR5V6d
DB_ROOT_PASSWORD=EC284aJd7xR5V6d
DB_HOST=postgres
DB_DRIVER=pgsql

### --- MARIADB ----

MARIADB_TAG=10.1-3.3.11
#MARIADB_TAG=10.3-3.3.11
#MARIADB_TAG=10.2-3.3.11

### --- VANILLA DRUPAL ----

#DRUPAL_TAG=8-4.10.0
#DRUPAL_TAG=7-4.10.0

### --- PHP ----

# Linux (uid 1000 gid 1000)

#PHP_TAG=7.2-dev-4.10.0
PHP_TAG=7.3-dev-4.10.0
#PHP_TAG=7.1-dev-4.10.0
#PHP_TAG=5.6-dev-4.10.0

# macOS (uid 501 gid 20)

#PHP_TAG=7.3-dev-macos-4.10.0
#PHP_TAG=7.2-dev-macos-4.10.0
#PHP_TAG=7.1-dev-macos-4.10.0
#PHP_TAG=5.6-dev-macos-4.10.0

### --- NGINX ----

NGINX_TAG=1.15-5.1.0
#NGINX_TAG=1.14-5.1.0

NGINX_VHOST_PRESET=drupal8
#NGINX_VHOST_PRESET=drupal7
#NGINX_VHOST_PRESET=drupal6

### --- SOLR ---

SOLR_CONFIG_SET="search_api_solr_8.x-2.3"
#SOLR_CONFIG_SET="search_api_solr_8.x-1.2"
#SOLR_CONFIG_SET="search_api_solr_7.x-1.14"

SOLR_TAG=7.5-3.0.7
#SOLR_TAG=7.4-3.0.7
#SOLR_TAG=7.3-3.0.7
#SOLR_TAG=7.2-3.0.7
#SOLR_TAG=7.1-3.0.7
#SOLR_TAG=6.6-3.0.7
#SOLR_TAG=5.5-3.0.7
#SOLR_TAG=5.4-3.0.7

### --- ELASTICSEARCH ---

ELASTICSEARCH_TAG=6.2-3.0.3
#ELASTICSEARCH_TAG=6.1-3.0.3
#ELASTICSEARCH_TAG=6.0-3.0.3
#ELASTICSEARCH_TAG=5.6-3.0.3
#ELASTICSEARCH_TAG=5.5-3.0.3
#ELASTICSEARCH_TAG=5.4-3.0.3

### --- KIBANA ---

KIBANA_TAG=6.2-3.0.3
#KIBANA_TAG=6.1-3.0.3
#KIBANA_TAG=6.0-3.0.3
#KIBANA_TAG=5.6-3.0.3
#KIBANA_TAG=5.5-3.0.3
#KIBANA_TAG=5.4-3.0.3

### --- REDIS ---

REDIS_TAG=4-3.0.3
#REDIS_TAG=5-3.0.3

### --- NODE ---

NODE_TAG=10-0.9.2
#NODE_TAG=8-0.9.2
#NODE_TAG=6-0.9.2

### --- VARNISH ---

VARNISH_TAG=4.1-4.0.0
#VARNISH_TAG=6.0-4.0.0

### --- POSTGRESQL ----

#POSTGRES_TAG=11-1.5.0
POSTGRES_TAG=10-1.5.0
#POSTGRES_TAG=9.6-1.5.0
#POSTGRES_TAG=9.5-1.5.0
#POSTGRES_TAG=9.4-1.5.0
#POSTGRES_TAG=9.3-1.5.0

### OTHERS

ADMINER_TAG=4.6-3.3.0
APACHE_TAG=2.4-4.0.2
ATHENAPDF_TAG=2.10.0
DRUPAL_NODE_TAG=1.0-2.0.0
MEMCACHED_TAG=1-2.2.1
OPENSMTPD_TAG=6.0-1.4.0
RSYSLOG_TAG=latest
WEBGRIND_TAG=1.5-1.7.0
XHPROF_TAG=1.0.2
